Subject: [bug#67231] [PATCH] gnu: aerc: Fix notmuch support.

From: Sharlatan Hellseher <[email-masked]>
Date: Sun, 28 Jul 2024 23:44:27 +0100

Hi,

I've updated aerec to the latest version and adjust inputs similar to
this issue on go-team branch
<https://git.savannah.gnu.org/cgit/guix.git/commit/?h=go-team&id=51fec36901b60d0f779b8f7f17d01e2b05733d0e>.

For any final application in Golang sources used during compile time are
not "linked" like in C/C++ but placed as pure text into location known
for Golang compiler e.g. the final binary has not any references to
libraries from inputs after build is completed.

Generally speaking when we build some CLI from Golang sources all inputs
may be native-inputs.

If the current source would be used as dependency all of it's inputs
need to go to propagated-inputs which prevent packaging complexity.

--
Oleg